#include <stdio.h>
#include <stdlib.h>

/*

This code is copyright 2008-2011 by Michael Kohn
This code falls under the LGPL license

http://www.mikekohn.net/
Michael Kohn <mike@mikekohn.net>

*/

int write_int(FILE *out, unsigned int n)
{
  putc((n&255),out);
  putc(((n>>8)&255),out);
  putc(((n>>16)&255),out);
  putc(((n>>24)&255),out);

  return 0;
}

int write_short(FILE *out, unsigned int n)
{
  putc((n&255),out);
  putc(((n>>8)&255),out);

  return 0;
}

int write_chars(FILE *out, char *s)
{
int t;

  t=0;
  while(s[t]!=0 && t<255)
  {
    putc(s[t++],out);
  }

  return 0;
}

int write_chars_bin(FILE *out, char *s, int count)
{
int t;

  for (t=0; t<count; t++)
  {
    putc(s[t],out);
  }

  return 0;
}

